GNU bug report logs - #3829
23.0.96; Cannot read gpg file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Андрей Парамонов <cmr.pent@HIDDEN>; merged with #4077, #8129; dated Sun, 12 Jul 2009 12:55:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 3829 4077 8129. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 3829 4077. Request was from Juanma Barranquero <lekktu@HIDDEN> to control@HIDDEN. Full text available.

Message received at 3829@HIDDEN:


Received: (at 3829) by emacsbugs.donarmstrong.com; 14 Jul 2009 20:00:06 +0000
From monnier@HIDDEN Tue Jul 14 13:00:06 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.8 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from ironport2-out.teksavvy.com (ironport2-out.pppoe.ca [206.248.154.182])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6EJxwQe032130
	for <3829@HIDDEN>; Tue, 14 Jul 2009 12:59:59 -0700
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Au4EAJ+AXEpMCpbp/2dsb2JhbACBUdBbhAgFhm4
X-IronPort-AV: E=Sophos;i="4.42,399,1243828800"; 
   d="scan'208";a="41596111"
Received: from 76-10-150-233.dsl.teksavvy.com (HELO pastel.home) ([76.10.150.233])
  by ironport2-out.teksavvy.com with ESMTP; 14 Jul 2009 15:59:38 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 1833D7EF7; Tue, 14 Jul 2009 15:59:53 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: =?utf-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org, Daiki Ueno <ueno@HIDDEN>,
        rfrancoise@HIDDEN
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
Message-ID: <jwvfxcz6npr.fsf-monnier+emacsbugreports@HIDDEN>
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	<f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
	<5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
	<87my78m08p.fsf@HIDDEN>
	<5f0660120907140351i74891cd8wa57d584db0b375e@HIDDEN>
Date: Tue, 14 Jul 2009 15:59:53 -0400
In-Reply-To: <5f0660120907140351i74891cd8wa57d584db0b375e@HIDDEN>
	(=?utf-8?B?ItCQ0L3QtNGA0LXQuSDQn9Cw0YDQsNC80L7QvdC+0LIiJ3M=?= message of
 "Tue, 14 Jul 2009 14:51:26 +0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> The real problem is that I couldn't even attach the problematic file
> via Emacs, so I had to use Gmail web interface for reporting the bug.
> Don't know if it can be considered "real" though.

That's actually a different problem: the default MUA to compose email
doesn't really know how to attach files.  I've just changed it to
message-mode which can do it much better.


        Stefan




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at 3829@HIDDEN:


Received: (at 3829) by emacsbugs.donarmstrong.com; 14 Jul 2009 10:51:36 +0000
From cmr.pent@HIDDEN Tue Jul 14 03:51:36 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-1.9 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail-ew0-f212.google.com (mail-ew0-f212.google.com [209.85.219.212])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6EApVjn030934
	for <3829@HIDDEN>; Tue, 14 Jul 2009 03:51:33 -0700
Received: by ewy8 with SMTP id 8so948192ewy.1
        for <3829@HIDDEN>; Tue, 14 Jul 2009 03:51:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:in-reply-to:references
         :date:message-id:subject:from:to:cc:content-type
         :content-transfer-encoding;
        bh=fmGolarODoL61eukONHaqogmZxczEgjaPO8ilRdm6OM=;
        b=Ype0mLnbBPQPS7QqbN+uH1Go6ie6YBcpy24y3e/6jitKtquhFyGyQflamXGm4DVskL
         Gvr9PvdkEcpE2MAecUz0RCVDhSAVjx88/21cPL+Ln49QvhAphVW6TVwArPsQWXbAlZ8E
         VAYOLBS8UgBiIHfjhyh1mvp17GClVpJyCGz7s=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:in-reply-to:references:date:message-id:subject:from:to
         :cc:content-type:content-transfer-encoding;
        b=orcxTW/jTpqouiz6QQ9KcsX1s5mZQUxK87xzueVgyEkBFI8dKNIOJSNUz+4qNYTjfp
         Fjzc7SwfkIwpuJFsldvmuzttEPpFrO7Bw8zQtgLFQ39O/Us33xtXllaTlt207sa8auKz
         krsoTC0oySHAUSa8VGitgrdFCoHInLUeNnmH4=
MIME-Version: 1.0
Received: by 10.216.16.212 with SMTP id h62mr1637091weh.201.1247568686155; 
	Tue, 14 Jul 2009 03:51:26 -0700 (PDT)
In-Reply-To: <87my78m08p.fsf@HIDDEN>
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	 <f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
	 <5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
	 <87my78m08p.fsf@HIDDEN>
Date: Tue, 14 Jul 2009 14:51:26 +0400
Message-ID: <5f0660120907140351i74891cd8wa57d584db0b375e@HIDDEN>
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?= <cmr.pent@HIDDEN>
To: Daiki Ueno <ueno@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN,
        rfrancoise@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

2009/7/14 Daiki Ueno <ueno@HIDDEN>:
> Well, please elaborate what is your problem... =C2=A0Do you really want t=
o
> attach binary files with mail-attach-file? =C2=A0I think it is not feasib=
le
> and most people use uuencode before attaching.
>
> I believe that Emacs commands which read binary contents are carefully
> designed whether or not to do automatic decoding (i.e. mml-attach-file
> in Gnus). =C2=A0If you find _real problems_, please let me know.
>

The real problem is that I couldn't even attach the problematic file
via Emacs, so I had to use Gmail web interface for reporting the bug.
Don't know if it can be considered "real" though.

Thanks for your effort,
Andrey



Acknowledgement sent to Андрей Парамонов <cmr.pent@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 14 Jul 2009 10:51:35 +0000
From cmr.pent@HIDDEN Tue Jul 14 03:51:34 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6EApT4D030936
	for <submit@HIDDEN>; Tue, 14 Jul 2009 03:51:31 -0700
Received: from mail.gnu.org ([199.232.76.166]:50761 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MQfbd-0007mC-2n
	for emacs-pretest-bug@HIDDEN; Tue, 14 Jul 2009 06:51:29 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MQfbc-0004WD-78
	for emacs-pretest-bug@HIDDEN; Tue, 14 Jul 2009 06:51:28 -0400
Received: from ey-out-1920.google.com ([74.125.78.144]:41235)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MQfbb-0004Vj-QN
	for emacs-pretest-bug@HIDDEN; Tue, 14 Jul 2009 06:51:28 -0400
Received: by ey-out-1920.google.com with SMTP id 5so681030eyb.24
        for <emacs-pretest-bug@HIDDEN>; Tue, 14 Jul 2009 03:51:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:in-reply-to:references
         :date:message-id:subject:from:to:cc:content-type
         :content-transfer-encoding;
        bh=fmGolarODoL61eukONHaqogmZxczEgjaPO8ilRdm6OM=;
        b=Ype0mLnbBPQPS7QqbN+uH1Go6ie6YBcpy24y3e/6jitKtquhFyGyQflamXGm4DVskL
         Gvr9PvdkEcpE2MAecUz0RCVDhSAVjx88/21cPL+Ln49QvhAphVW6TVwArPsQWXbAlZ8E
         VAYOLBS8UgBiIHfjhyh1mvp17GClVpJyCGz7s=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:in-reply-to:references:date:message-id:subject:from:to
         :cc:content-type:content-transfer-encoding;
        b=orcxTW/jTpqouiz6QQ9KcsX1s5mZQUxK87xzueVgyEkBFI8dKNIOJSNUz+4qNYTjfp
         Fjzc7SwfkIwpuJFsldvmuzttEPpFrO7Bw8zQtgLFQ39O/Us33xtXllaTlt207sa8auKz
         krsoTC0oySHAUSa8VGitgrdFCoHInLUeNnmH4=
MIME-Version: 1.0
Received: by 10.216.16.212 with SMTP id h62mr1637091weh.201.1247568686155; 
	Tue, 14 Jul 2009 03:51:26 -0700 (PDT)
In-Reply-To: <87my78m08p.fsf@HIDDEN>
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	 <f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
	 <5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
	 <87my78m08p.fsf@HIDDEN>
Date: Tue, 14 Jul 2009 14:51:26 +0400
Message-ID: <5f0660120907140351i74891cd8wa57d584db0b375e@HIDDEN>
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?= <cmr.pent@HIDDEN>
To: Daiki Ueno <ueno@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN,
        rfrancoise@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

2009/7/14 Daiki Ueno <ueno@HIDDEN>:
> Well, please elaborate what is your problem... =C2=A0Do you really want t=
o
> attach binary files with mail-attach-file? =C2=A0I think it is not feasib=
le
> and most people use uuencode before attaching.
>
> I believe that Emacs commands which read binary contents are carefully
> designed whether or not to do automatic decoding (i.e. mml-attach-file
> in Gnus). =C2=A0If you find _real problems_, please let me know.
>

The real problem is that I couldn't even attach the problematic file
via Emacs, so I had to use Gmail web interface for reporting the bug.
Don't know if it can be considered "real" though.

Thanks for your effort,
Andrey



Acknowledgement sent to Андрей Парамонов <cmr.pent@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.
Severity set to `wishlist' from `normal' Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at 3829@HIDDEN:


Received: (at 3829) by emacsbugs.donarmstrong.com; 14 Jul 2009 07:17:31 +0000
From rgm@HIDDEN Tue Jul 14 00:17:31 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-9.0 required=4.0 tests=AWL,HAS_BUG_NUMBER,
	VALID_BTS_CONTROL,X_DEBBUGS_NO_ACK autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6E7HM53026733;
	Tue, 14 Jul 2009 00:17:23 -0700
Received: from rgm by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <rgm@HIDDEN>)
	id 1MQcGO-00072E-8S; Tue, 14 Jul 2009 03:17:20 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Daiki Ueno <ueno@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	<f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
	<5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
	<87my78m08p.fsf@HIDDEN>
X-Spook: Ortega high security ANDVT Fedayeen EuroFed TWA AFSPC
X-Ran: 47krvN}w7f}i/cJrsO[[)hF!&+QHx(\"&1q4u"\yiey{<6!IffFTvXX6X_+E`?rfA4H$>r
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 14 Jul 2009 03:17:20 -0400
In-Reply-To: <87my78m08p.fsf@HIDDEN> (Daiki Ueno's message of "Tue,
	14 Jul 2009 12:06:46 +0900")
Message-ID: <hmy77ensv.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

severity 3829 wishlist
stop

Daiki Ueno wrote:

> severity 3829 wishlist
> thanks

Just in case you did not know, such commands have no effect unless you
cc the control server (bcc'd in this message).



Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at 3829@HIDDEN:


Received: (at 3829) by emacsbugs.donarmstrong.com; 14 Jul 2009 03:07:41 +0000
From daiki.ueno@HIDDEN Mon Jul 13 20:07:40 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-4.6 required=4.0 tests=AWL,GMAIL,HAS_BUG_NUMBER,
	IMPRONONCABLE_2,VALID_BTS_CONTROL autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail-px0-f199.google.com (mail-px0-f199.google.com [209.85.216.199])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6E37a5S018856
	for <3829@HIDDEN>; Mon, 13 Jul 2009 20:07:37 -0700
Received: by pxi37 with SMTP id 37so2031562pxi.19
        for <3829@HIDDEN>; Mon, 13 Jul 2009 20:07:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:sender:from:to:cc:subject
         :references:date:in-reply-to:message-id:user-agent:mime-version
         :content-type;
        bh=cZ2OHr1bn7kURhxI9EQE8ZFfjUzauXVXN9XKFao5R1I=;
        b=T2aJ8njHf/z01exe+SbwwcVFcYIL/iKf0JDWwSgn8bJvza8vAKT9C1uIPTsQDYgtr+
         WHoRPKOJbq21WJgLhBtBamGmiXdaildd2pCxQvD/T5XxRmNMhiTmSa/wG5KSseoge7h/
         +r/2T+/+iavHkjuuo9N4YtKoWmXBfW4FI0m3U=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
         :user-agent:mime-version:content-type;
        b=Ai4H8F7tIK8PI5TL3N0Rn79zhxJ+ZWzl6yVf38K9ymwJaUdfgZ16AVzMtJi4n9zm3q
         K5X1u0WWLzqQI6AFb5RrIPbwWfiuPf3E/FByP9kTnY6cYnAU1AaWWeb0/s+EcKmIO+/B
         mcdNO6R9IzcDAYcB/y0YK+9bJniidhv1lgCQ4=
Received: by 10.114.167.3 with SMTP id p3mr10056036wae.142.1247540851293;
        Mon, 13 Jul 2009 20:07:31 -0700 (PDT)
Received: from p360 ([150.82.175.84])
        by mx.google.com with ESMTPS id l28sm9965401waf.54.2009.07.13.20.07.28
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Mon, 13 Jul 2009 20:07:29 -0700 (PDT)
Sender: Daiki Ueno <daiki.ueno@HIDDEN>
From: Daiki Ueno <ueno@HIDDEN>
To: =?iso-2022-jp?B?GyRCJyEnXydVJ2InVidbGyhCIBskQicxJ1EnYidRJ14nYCdfGyhC?=
 =?iso-2022-jp?B?GyRCJ2AnUxsoQg==?= <cmr.pent@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN,
        rfrancoise@HIDDEN
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	<f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
	<5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
Date: Tue, 14 Jul 2009 12:06:46 +0900
In-Reply-To: <5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
	(=?iso-2022-jp?B?IhskQichJ18nVSdiJ1YnWxsoQiAbJEInMSdRJ2InUSdeJ2AnXydgGyhC?=
 =?iso-2022-jp?B?GyRCJ1MbKEIiJ3M=?= message of "Mon, 13 Jul 2009
	11:01:22 +0400")
Message-ID: <87my78m08p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-2022-jp

severity 3829 wishlist
thanks

>>>>> In <5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN> 
>>>>>	$B'!'_'U'b'V'[(B $B'1'Q'b'Q'^'`'_'`'S(B <cmr.pent@HIDDEN> wrote:
> 2009/7/13 Daiki Ueno <ueno@HIDDEN>:
> > How about M-x find-file-literally if you just want to see the binary
> > content?
> >

> Yes, this works (that's the behavior I expected). However, some other
> functions (i.e. mail-attach-file) do not work.

Well, please elaborate what is your problem...  Do you really want to
attach binary files with mail-attach-file?  I think it is not feasible
and most people use uuencode before attaching.

I believe that Emacs commands which read binary contents are carefully
designed whether or not to do automatic decoding (i.e. mml-attach-file
in Gnus).  If you find _real problems_, please let me know.

> Also, the message "File exists, but cannot be read" is a bit vague to
> me (file could not be read due to many reasons, i.e. file
> permissions).

Agreed.  Unfortunatelly the improvement is not as easy to implement as
expected.  This would also be a feature request.

> Is it possible to fall back to find-file-literally behavior, if a gpg
> file cannot be opened with the new method?

Though there is no fall back mechanism, you can stop it manually by:

C-u -1 M-x auto-encryption-mode

Regards,
-- 
Daiki Ueno



Acknowledgement sent to Daiki Ueno <ueno@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 14 Jul 2009 03:07:39 +0000
From daiki.ueno@HIDDEN Mon Jul 13 20:07:38 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-4.4 required=4.0 tests=AWL,GMAIL,HAS_BUG_NUMBER,
	IMPRONONCABLE_2,VALID_BTS_CONTROL autolearn=unavailable
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6E37YYI018857
	for <submit@HIDDEN>; Mon, 13 Jul 2009 20:07:35 -0700
Received: from mail.gnu.org ([199.232.76.166]:45398 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <daiki.ueno@HIDDEN>)
	id 1MQYMf-0005k4-SX
	for emacs-pretest-bug@HIDDEN; Mon, 13 Jul 2009 23:07:33 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <daiki.ueno@HIDDEN>)
	id 1MQYMe-0002r1-P2
	for emacs-pretest-bug@HIDDEN; Mon, 13 Jul 2009 23:07:33 -0400
Received: from mail-pz0-f202.google.com ([209.85.222.202]:38730)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <daiki.ueno@HIDDEN>)
	id 1MQYMe-0002qh-Cf
	for emacs-pretest-bug@HIDDEN; Mon, 13 Jul 2009 23:07:32 -0400
Received: by pzk40 with SMTP id 40so1410311pzk.14
        for <emacs-pretest-bug@HIDDEN>; Mon, 13 Jul 2009 20:07:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:sender:from:to:cc:subject
         :references:date:in-reply-to:message-id:user-agent:mime-version
         :content-type;
        bh=cZ2OHr1bn7kURhxI9EQE8ZFfjUzauXVXN9XKFao5R1I=;
        b=T2aJ8njHf/z01exe+SbwwcVFcYIL/iKf0JDWwSgn8bJvza8vAKT9C1uIPTsQDYgtr+
         WHoRPKOJbq21WJgLhBtBamGmiXdaildd2pCxQvD/T5XxRmNMhiTmSa/wG5KSseoge7h/
         +r/2T+/+iavHkjuuo9N4YtKoWmXBfW4FI0m3U=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
         :user-agent:mime-version:content-type;
        b=Ai4H8F7tIK8PI5TL3N0Rn79zhxJ+ZWzl6yVf38K9ymwJaUdfgZ16AVzMtJi4n9zm3q
         K5X1u0WWLzqQI6AFb5RrIPbwWfiuPf3E/FByP9kTnY6cYnAU1AaWWeb0/s+EcKmIO+/B
         mcdNO6R9IzcDAYcB/y0YK+9bJniidhv1lgCQ4=
Received: by 10.114.167.3 with SMTP id p3mr10056036wae.142.1247540851293;
        Mon, 13 Jul 2009 20:07:31 -0700 (PDT)
Received: from p360 ([150.82.175.84])
        by mx.google.com with ESMTPS id l28sm9965401waf.54.2009.07.13.20.07.28
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Mon, 13 Jul 2009 20:07:29 -0700 (PDT)
Sender: Daiki Ueno <daiki.ueno@HIDDEN>
From: Daiki Ueno <ueno@HIDDEN>
To: =?iso-2022-jp?B?GyRCJyEnXydVJ2InVidbGyhCIBskQicxJ1EnYidRJ14nYCdfGyhC?=
 =?iso-2022-jp?B?GyRCJ2AnUxsoQg==?= <cmr.pent@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN,
        rfrancoise@HIDDEN
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	<f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
	<5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
Date: Tue, 14 Jul 2009 12:06:46 +0900
In-Reply-To: <5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
	(=?iso-2022-jp?B?IhskQichJ18nVSdiJ1YnWxsoQiAbJEInMSdRJ2InUSdeJ2AnXydgGyhC?=
 =?iso-2022-jp?B?GyRCJ1MbKEIiJ3M=?= message of "Mon, 13 Jul 2009
	11:01:22 +0400")
Message-ID: <87my78m08p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-2022-jp
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)
X-CrossAssassin-Score: 2

severity 3829 wishlist
thanks

>>>>> In <5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN> 
>>>>>	$B'!'_'U'b'V'[(B $B'1'Q'b'Q'^'`'_'`'S(B <cmr.pent@HIDDEN> wrote:
> 2009/7/13 Daiki Ueno <ueno@HIDDEN>:
> > How about M-x find-file-literally if you just want to see the binary
> > content?
> >

> Yes, this works (that's the behavior I expected). However, some other
> functions (i.e. mail-attach-file) do not work.

Well, please elaborate what is your problem...  Do you really want to
attach binary files with mail-attach-file?  I think it is not feasible
and most people use uuencode before attaching.

I believe that Emacs commands which read binary contents are carefully
designed whether or not to do automatic decoding (i.e. mml-attach-file
in Gnus).  If you find _real problems_, please let me know.

> Also, the message "File exists, but cannot be read" is a bit vague to
> me (file could not be read due to many reasons, i.e. file
> permissions).

Agreed.  Unfortunatelly the improvement is not as easy to implement as
expected.  This would also be a feature request.

> Is it possible to fall back to find-file-literally behavior, if a gpg
> file cannot be opened with the new method?

Though there is no fall back mechanism, you can stop it manually by:

C-u -1 M-x auto-encryption-mode

Regards,
-- 
Daiki Ueno



Acknowledgement sent to Daiki Ueno <ueno@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at 3829@HIDDEN:


Received: (at 3829) by emacsbugs.donarmstrong.com; 13 Jul 2009 07:01:36 +0000
From cmr.pent@HIDDEN Mon Jul 13 00:01:35 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-1.7 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail-ew0-f212.google.com (mail-ew0-f212.google.com [209.85.219.212])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6D71Twr005235
	for <3829@HIDDEN>; Mon, 13 Jul 2009 00:01:31 -0700
Received: by ewy8 with SMTP id 8so55612ewy.1
        for <3829@HIDDEN>; Mon, 13 Jul 2009 00:01:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:in-reply-to:references
         :date:message-id:subject:from:to:cc:content-type
         :content-transfer-encoding;
        bh=/ofGuTIi1qsuP0lNYTUHe6ZJAUUUDrVO1rsNCYF6FrI=;
        b=BmuuVXNrMeqblOXmaq6HgCN+8WnWyYjh3KDF8oC/4ptXCRIWUl5qH2HnOLbdx4XaxM
         KmUW+oCiOAIs7q2O9hWKl95rG0ol1OXo3ZdTRCDuM8CC5Tx7BY5ATlXkolpwBleJTm9B
         bjU0ZmQoxwhZeeKVANOuUSEbl/FEnhx8erOlg=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:in-reply-to:references:date:message-id:subject:from:to
         :cc:content-type:content-transfer-encoding;
        b=dvgx1XWymFDAwW4puOann+FjLuaX/4gNdfDnU2lLS3h2krvDxOiCl92kY73bgt7fiY
         Y+r0cjGohGLWVqjlpNI+m9HIeKy4pR0QCKQGgMv81AFmuIhOnhkZFbW6Rc/fJdO/ZI33
         XuuIcsqn2L8dJeQfs+4W7nXHpl1PbYLWvmTnA=
MIME-Version: 1.0
Received: by 10.216.53.207 with SMTP id g57mr1342457wec.3.1247468482473; Mon, 
	13 Jul 2009 00:01:22 -0700 (PDT)
In-Reply-To: <f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	 <f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
Date: Mon, 13 Jul 2009 11:01:22 +0400
Message-ID: <5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?= <cmr.pent@HIDDEN>
To: Daiki Ueno <ueno@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN,
        rfrancoise@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

2009/7/13 Daiki Ueno <ueno@HIDDEN>:
> How about M-x find-file-literally if you just want to see the binary
> content?
>

Yes, this works (that's the behavior I expected). However, some other
functions (i.e. mail-attach-file) do not work. Also, the message "File
exists, but cannot be read" is a bit vague to me (file could not be
read due to many reasons, i.e. file permissions).

Is it possible to fall back to find-file-literally behavior, if a gpg
file cannot be opened with the new method?

Andrey



Acknowledgement sent to Андрей Парамонов <cmr.pent@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 13 Jul 2009 07:01:32 +0000
From cmr.pent@HIDDEN Mon Jul 13 00:01:32 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-1.5 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6D71SFd005236
	for <submit@HIDDEN>; Mon, 13 Jul 2009 00:01:29 -0700
Received: from mail.gnu.org ([199.232.76.166]:38674 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MQFXT-0001u7-16
	for emacs-pretest-bug@HIDDEN; Mon, 13 Jul 2009 03:01:27 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MQFXR-0006oJ-Qx
	for emacs-pretest-bug@HIDDEN; Mon, 13 Jul 2009 03:01:26 -0400
Received: from mx20.gnu.org ([199.232.41.8]:32085)
	by monty-python.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MQFXR-0006oF-7K
	for emacs-pretest-bug@HIDDEN; Mon, 13 Jul 2009 03:01:25 -0400
Received: from mail-ew0-f217.google.com ([209.85.219.217])
	by mx20.gnu.org with esmtp (Exim 4.60)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MQFXQ-0003lA-Hj
	for emacs-pretest-bug@HIDDEN; Mon, 13 Jul 2009 03:01:24 -0400
Received: by ewy17 with SMTP id 17so2506064ewy.42
        for <emacs-pretest-bug@HIDDEN>; Mon, 13 Jul 2009 00:01:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:in-reply-to:references
         :date:message-id:subject:from:to:cc:content-type
         :content-transfer-encoding;
        bh=/ofGuTIi1qsuP0lNYTUHe6ZJAUUUDrVO1rsNCYF6FrI=;
        b=BmuuVXNrMeqblOXmaq6HgCN+8WnWyYjh3KDF8oC/4ptXCRIWUl5qH2HnOLbdx4XaxM
         KmUW+oCiOAIs7q2O9hWKl95rG0ol1OXo3ZdTRCDuM8CC5Tx7BY5ATlXkolpwBleJTm9B
         bjU0ZmQoxwhZeeKVANOuUSEbl/FEnhx8erOlg=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:in-reply-to:references:date:message-id:subject:from:to
         :cc:content-type:content-transfer-encoding;
        b=dvgx1XWymFDAwW4puOann+FjLuaX/4gNdfDnU2lLS3h2krvDxOiCl92kY73bgt7fiY
         Y+r0cjGohGLWVqjlpNI+m9HIeKy4pR0QCKQGgMv81AFmuIhOnhkZFbW6Rc/fJdO/ZI33
         XuuIcsqn2L8dJeQfs+4W7nXHpl1PbYLWvmTnA=
MIME-Version: 1.0
Received: by 10.216.53.207 with SMTP id g57mr1342457wec.3.1247468482473; Mon, 
	13 Jul 2009 00:01:22 -0700 (PDT)
In-Reply-To: <f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	 <f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
Date: Mon, 13 Jul 2009 11:01:22 +0400
Message-ID: <5f0660120907130001v1c9b83e9nb278e847140653a8@HIDDEN>
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?= <cmr.pent@HIDDEN>
To: Daiki Ueno <ueno@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN,
        rfrancoise@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Detected-Operating-System: by mx20.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)

2009/7/13 Daiki Ueno <ueno@HIDDEN>:
> How about M-x find-file-literally if you just want to see the binary
> content?
>

Yes, this works (that's the behavior I expected). However, some other
functions (i.e. mail-attach-file) do not work. Also, the message "File
exists, but cannot be read" is a bit vague to me (file could not be
read due to many reasons, i.e. file permissions).

Is it possible to fall back to find-file-literally behavior, if a gpg
file cannot be opened with the new method?

Andrey



Acknowledgement sent to Андрей Парамонов <cmr.pent@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at 3829@HIDDEN:


Received: (at 3829) by emacsbugs.donarmstrong.com; 12 Jul 2009 21:44:42 +0000
From daiki.ueno@HIDDEN Sun Jul 12 14:44:42 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-5.0 required=4.0 tests=AWL,GMAIL,HAS_BUG_NUMBER,
	IMPRONONCABLE_2 autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail-pz0-f191.google.com (mail-pz0-f191.google.com [209.85.222.191])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6CLicdX010634
	for <3829@HIDDEN>; Sun, 12 Jul 2009 14:44:39 -0700
Received: by pzk29 with SMTP id 29so1429434pzk.19
        for <3829@HIDDEN>; Sun, 12 Jul 2009 14:44:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:sender:from:to:cc:subject
         :references:date:in-reply-to:message-id:user-agent:mime-version
         :content-type;
        bh=Owsc/vzyBmEXTqsXhyC1EqYPApyC52Jgz/5jd8G/aKc=;
        b=rvIWwGutQX5Z2MO9KsojiIwZ0CA/nSmGSuyrTq5jkSaQDkDyGej/YFzVwXnI+nDQi5
         3OwhOkgXHhXACyFIgTKCt3YdisiWiJqWVwwCTlgrwMVmP64sSIJMv9Cn4QmdfVr5Ki9a
         RlohV1uxyD/1OgecEv1KwFCrIRWDE266xGTJw=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
         :user-agent:mime-version:content-type;
        b=ftDU37lPFlKEuZiBC3EDCF7xtwU69nbbFPq5CIufzLwAef54h+bZaHdljVxNlhpj5Q
         c68Ekdqj5dahBu4YWh1g2fqgwdZOlEpZ0/sjr3lIm5HZCCbsWpIzC94DexjJMaKNgtla
         VXoU5wfi+kc3UOODiOBBLOFpCe1111Jy0Fgg8=
Received: by 10.143.162.8 with SMTP id p8mr1223326wfo.321.1247435073127;
        Sun, 12 Jul 2009 14:44:33 -0700 (PDT)
Received: from chilled (221x255x76x222.ap221.ftth.ucom.ne.jp [221.255.76.222])
        by mx.google.com with ESMTPS id 20sm7227493wfi.20.2009.07.12.14.44.31
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Sun, 12 Jul 2009 14:44:32 -0700 (PDT)
Sender: Daiki Ueno <daiki.ueno@HIDDEN>
From: Daiki Ueno <ueno@HIDDEN>
To: =?iso-2022-jp?B?GyRCJyEnXydVJ2InVidbGyhCIBskQicxJ1EnYidRJ14nYCdfGyhC?=
 =?iso-2022-jp?B?GyRCJ2AnUxsoQg==?= <cmr.pent@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN,
        rfrancoise@HIDDEN
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
Date: Mon, 13 Jul 2009 06:44:28 +0900
In-Reply-To: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	(=?iso-2022-jp?B?IhskQichJ18nVSdiJ1YnWxsoQiAbJEInMSdRJ2InUSdeJ2AnXydgGyhC?=
 =?iso-2022-jp?B?GyRCJ1MbKEIiJ3M=?= message of "Sun, 12 Jul 2009
	16:47:28 +0400")
Message-ID: <f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.95 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-2022-jp

>>>>> In <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN> 
>>>>>	$B'!'_'U'b'V'[(B $B'1'Q'b'Q'^'`'_'`'S(B <cmr.pent@HIDDEN> wrote:
> To reproduce:

> 0) emacs -Q

> 1) C-x C-f attached file

> 2) Emacs says:
> File exists, but cannot be read

That is because the file contains only public keys instead of encrypted
content.  Handling such a file in a fancy way would be a feature request
after the release.

How about M-x find-file-literally if you just want to see the binary
content?

Regards,
-- 
Daiki Ueno



Acknowledgement sent to Daiki Ueno <ueno@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 12 Jul 2009 21:44:43 +0000
From daiki.ueno@HIDDEN Sun Jul 12 14:44:43 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.7 required=4.0 tests=AWL,GMAIL,HAS_BUG_NUMBER,
	IMPRONONCABLE_2 autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6CLidbt010635
	for <submit@HIDDEN>; Sun, 12 Jul 2009 14:44:40 -0700
Received: from mx10.gnu.org ([199.232.76.166]:38333)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <daiki.ueno@HIDDEN>)
	id 1MQ6qb-0000V5-Lw
	for emacs-pretest-bug@HIDDEN; Sun, 12 Jul 2009 17:44:37 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <daiki.ueno@HIDDEN>)
	id 1MQ6qa-0005bA-Fw
	for emacs-pretest-bug@HIDDEN; Sun, 12 Jul 2009 17:44:37 -0400
Received: from mail-pz0-f202.google.com ([209.85.222.202]:50245)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <daiki.ueno@HIDDEN>)
	id 1MQ6qa-0005Zi-02
	for emacs-pretest-bug@HIDDEN; Sun, 12 Jul 2009 17:44:36 -0400
Received: by pzk40 with SMTP id 40so790275pzk.14
        for <emacs-pretest-bug@HIDDEN>; Sun, 12 Jul 2009 14:44:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:sender:from:to:cc:subject
         :references:date:in-reply-to:message-id:user-agent:mime-version
         :content-type;
        bh=Owsc/vzyBmEXTqsXhyC1EqYPApyC52Jgz/5jd8G/aKc=;
        b=rvIWwGutQX5Z2MO9KsojiIwZ0CA/nSmGSuyrTq5jkSaQDkDyGej/YFzVwXnI+nDQi5
         3OwhOkgXHhXACyFIgTKCt3YdisiWiJqWVwwCTlgrwMVmP64sSIJMv9Cn4QmdfVr5Ki9a
         RlohV1uxyD/1OgecEv1KwFCrIRWDE266xGTJw=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
         :user-agent:mime-version:content-type;
        b=ftDU37lPFlKEuZiBC3EDCF7xtwU69nbbFPq5CIufzLwAef54h+bZaHdljVxNlhpj5Q
         c68Ekdqj5dahBu4YWh1g2fqgwdZOlEpZ0/sjr3lIm5HZCCbsWpIzC94DexjJMaKNgtla
         VXoU5wfi+kc3UOODiOBBLOFpCe1111Jy0Fgg8=
Received: by 10.143.162.8 with SMTP id p8mr1223326wfo.321.1247435073127;
        Sun, 12 Jul 2009 14:44:33 -0700 (PDT)
Received: from chilled (221x255x76x222.ap221.ftth.ucom.ne.jp [221.255.76.222])
        by mx.google.com with ESMTPS id 20sm7227493wfi.20.2009.07.12.14.44.31
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Sun, 12 Jul 2009 14:44:32 -0700 (PDT)
Sender: Daiki Ueno <daiki.ueno@HIDDEN>
From: Daiki Ueno <ueno@HIDDEN>
To: =?iso-2022-jp?B?GyRCJyEnXydVJ2InVidbGyhCIBskQicxJ1EnYidRJ14nYCdfGyhC?=
 =?iso-2022-jp?B?GyRCJ2AnUxsoQg==?= <cmr.pent@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN,
        rfrancoise@HIDDEN
Subject: Re: bug#3829: 23.0.96; Cannot read gpg file
References: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
Date: Mon, 13 Jul 2009 06:44:28 +0900
In-Reply-To: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
	(=?iso-2022-jp?B?IhskQichJ18nVSdiJ1YnWxsoQiAbJEInMSdRJ2InUSdeJ2AnXydgGyhC?=
 =?iso-2022-jp?B?GyRCJ1MbKEIiJ3M=?= message of "Sun, 12 Jul 2009
	16:47:28 +0400")
Message-ID: <f24aaa9c-2c39-497f-be34-971403b7b804@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.95 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-2022-jp
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

>>>>> In <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN> 
>>>>>	$B'!'_'U'b'V'[(B $B'1'Q'b'Q'^'`'_'`'S(B <cmr.pent@HIDDEN> wrote:
> To reproduce:

> 0) emacs -Q

> 1) C-x C-f attached file

> 2) Emacs says:
> File exists, but cannot be read

That is because the file contains only public keys instead of encrypted
content.  Handling such a file in a fancy way would be a feature request
after the release.

How about M-x find-file-literally if you just want to see the binary
content?

Regards,
-- 
Daiki Ueno



Acknowledgement sent to Daiki Ueno <ueno@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at 3829@HIDDEN:


Received: (at 3829) by emacsbugs.donarmstrong.com; 12 Jul 2009 17:34:15 +0000
From cyd@HIDDEN Sun Jul 12 10:34:15 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.4 required=4.0 tests=AWL autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from pantheon-po26.its.yale.edu (pantheon-po26.its.yale.edu [130.132.50.121])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6CHY89e000993
	for <3829@HIDDEN>; Sun, 12 Jul 2009 10:34:09 -0700
Received: from furry (c-71-192-161-14.hsd1.nh.comcast.net [71.192.161.14])
	(authenticated bits=0)
	by pantheon-po26.its.yale.edu (8.12.11.20060308/8.12.11) with ESMTP id n6CHY1jh015972
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Sun, 12 Jul 2009 13:34:02 -0400
Received: by furry (Postfix, from userid 1000)
	id C8C3CC09B; Sun, 12 Jul 2009 13:34:01 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: Daiki Ueno <ueno@HIDDEN>
Cc: 3829 <at> debbugs.gnu.org
Subject: Re: 23.0.96; Cannot read gpg file
Date: Sun, 12 Jul 2009 13:34:01 -0400
Message-ID: <87r5wlyfee.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-YaleITSMailFilter: Version 1.2c (attachment(s) not renamed)

Hi Daiki,

Could you take a look at bug#3829?  Thanks:

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3829



Acknowledgement sent to Chong Yidong <cyd@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 12 Jul 2009 12:47:40 +0000
From cmr.pent@HIDDEN Sun Jul 12 05:47:40 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=AWL,FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6CClYPZ020782
	for <submit@HIDDEN>; Sun, 12 Jul 2009 05:47:35 -0700
Received: from mx10.gnu.org ([199.232.76.166]:38933)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MPySr-0003bS-HB
	for emacs-pretest-bug@HIDDEN; Sun, 12 Jul 2009 08:47:33 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MPySo-0007bd-T7
	for emacs-pretest-bug@HIDDEN; Sun, 12 Jul 2009 08:47:33 -0400
Received: from mail-ew0-f217.google.com ([209.85.219.217]:54684)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <cmr.pent@HIDDEN>)
	id 1MPySn-0007b0-TQ
	for emacs-pretest-bug@HIDDEN; Sun, 12 Jul 2009 08:47:30 -0400
Received: by ewy17 with SMTP id 17so2130970ewy.42
        for <emacs-pretest-bug@HIDDEN>; Sun, 12 Jul 2009 05:47:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:date:message-id:subject
         :from:to:cc:content-type;
        bh=RSvlbscZ186QEJ+nBqN9GpOCt05FWgoHKgDUVgfKbKc=;
        b=nHzd/rM65vKjP5VPXBhuiwFPRYSCeR6hHLhX6FIBAPVRn/GX0TbEy8OB1WasbEATey
         zFE43uE+V4e46mzC8zOGliFeDPW9rGFrcklD0ep3NUWjX4zEInApu/iG/GKx4cfYPMZP
         TRh6NN5xdvuyqChMv6L2xyaY5lljla74xPVB4=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:date:message-id:subject:from:to:cc:content-type;
        b=k/6NowQPeKLFZILjbBr69Kkj71lcNjbL66nYaIAc1WDUTB9QfF8NNO0DmMRqFvZvLu
         c3mk0WVrinlBYJYxM4ag045v+qxlAYSWzYUpHrV4M2EfcXCpnXbJZXSdnXhscyrj9Egh
         hq9vI5bLdyg5EMnAWPJxLvTS2fGqPZvAE24dE=
MIME-Version: 1.0
Received: by 10.216.22.206 with SMTP id t56mr1094618wet.131.1247402848251; 
	Sun, 12 Jul 2009 05:47:28 -0700 (PDT)
Date: Sun, 12 Jul 2009 16:47:28 +0400
Message-ID: <5f0660120907120547o33e6480an6eab53a9a79b4a2e@HIDDEN>
Subject: 23.0.96; Cannot read gpg file
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?= <cmr.pent@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Cc: rfrancoise@HIDDEN
Content-Type: multipart/mixed; boundary=0016364c7d1ba97229046e819b56
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

--0016364c7d1ba97229046e819b56
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

To reproduce:

0) emacs -Q

1) C-x C-f attached file

2) Emacs says:
File exists, but cannot be read

I'm ready to provide any additional info,
Andrey Paramonov

In GNU Emacs 23.0.96.1 (i486-pc-linux-gnu, GTK+ Version 2.16.4)
 of 2009-07-11 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090710-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build' 'i486-linux-gnu' '--host'
'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
'--libexecdir=/usr/lib' '--localstatedir=/var'
'--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
'--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.96/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.96/site-lisp:/usr/share/emacs/site-lisp'
'--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu'
'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN
-DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed'
'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ru_RU.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  delete-selection-mode: t
  show-paren-mode: t
  pc-selection-mode: t
  pretty-control-l-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Recent messages:
File exists, but cannot be read

===File ~/trusted.gpg=======================================
============================================================

--0016364c7d1ba97229046e819b56
Content-Type: application/octet-stream; name="trusted.gpg"
Content-Disposition: attachment; filename="trusted.gpg"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_fx1rc60y0
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--0016364c7d1ba97229046e819b56--



Acknowledgement sent to Андрей Парамонов <cmr.pent@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3829; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 11 Jul 2016 03:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.